package com.ssm.manage.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Arrays;
import java.util.Date;
import javax.persistence.*;

@Table(name = "doc_promotion")
public class DocPromotion implements Serializable {
    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 门店ID
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 会员ID
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 会员手机号
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;

    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;

    /**
     * 会员卡
     */
    private String card;

    /**
     * 单据号
     */
    @Column(name = "doc_num")
    private String docNum;

    /**
     * 单据时间
     */
    @Column(name = "doc_date")
    private Date docDate;

    /**
     * 促销活动ID
     */
    @Column(name = "promotion_id")
    private Long promotionId;

    /**
     * 促销方案编码
     */
    @Column(name = "promotion_num")
    private String promotionNum;

    /**
     * 促销方案名称
     */
    @Column(name = "promotion_name")
    private String promotionName;

    /**
     * 促销方案价格
     */
    private BigDecimal price;

    /**
     * 套数
     */
    private Integer count;

    /**
     * 销售金额
     */
    private BigDecimal amount;

    /**
     * 现付金额
     */
    @Column(name = "collection_cash_amount")
    private BigDecimal collectionCashAmount;

    /**
     * 充值卡付金额
     */
    @Column(name = "collection_recharge_amount")
    private BigDecimal collectionRechargeAmount;

    /**
     * 现付销售提成，大于1表示固定提成，小于等于1表示比率提成 
     */
    @Column(name = "sales_commission")
    private BigDecimal salesCommission;

    /**
     * 卡付销售提成，大于1表示固定提成，小于等于1表示比率提成
     */
    @Column(name = "card_sales_commission")
    private BigDecimal cardSalesCommission;

    /**
     * 现付销售业绩
     */
    @Column(name = "achievement_amount")
    private BigDecimal achievementAmount;

    /**
     * 现付销售提成
     */
    @Column(name = "commission_amount")
    private BigDecimal commissionAmount;

    /**
     * 卡付销售业绩
     */
    @Column(name = "card_achievement_amount")
    private BigDecimal cardAchievementAmount;

    /**
     * 卡付销售提成
     */
    @Column(name = "card_commission_amount")
    private BigDecimal cardCommissionAmount;

    /**
     * 销售员1水牌号
     */
    @Column(name = "sale_one_number")
    private String saleOneNumber;

    /**
     * 销售员2水牌号
     */
    @Column(name = "sale_two_number")
    private String saleTwoNumber;

    /**
     * 销售员3水牌号
     */
    @Column(name = "sale_three_number")
    private String saleThreeNumber;

    /**
     * 销售员4水牌号
     */
    @Column(name = "sale_four_number")
    private String saleFourNumber;

    /**
     * 销售员1编码
     */
    @Column(name = "sale_one_staff_id")
    private Long saleOneStaffId;

    /**
     * 销售员2编码
     */
    @Column(name = "sale_two_staff_id")
    private Long saleTwoStaffId;

    /**
     * 销售员3编码
     */
    @Column(name = "sale_three_staff_id")
    private Long saleThreeStaffId;

    /**
     * 销售员4编码
     */
    @Column(name = "sale_four_staff_id")
    private Long saleFourStaffId;

    /**
     * 销售员1名称
     */
    @Column(name = "sale_one_staff_name")
    private String saleOneStaffName;

    /**
     * 销售员2名称
     */
    @Column(name = "sale_two_staff_name")
    private String saleTwoStaffName;

    /**
     * 销售员3名称
     */
    @Column(name = "sale_three_staff_name")
    private String saleThreeStaffName;

    /**
     * 销售员4名称
     */
    @Column(name = "sale_four_staff_name")
    private String saleFourStaffName;

    /**
     * 销售员1身份证号
     */
    @Column(name = "sale_one_identity")
    private String saleOneIdentity;

    /**
     * 销售员2身份证号
     */
    @Column(name = "sale_two_identity")
    private String saleTwoIdentity;

    /**
     * 销售员3身份证号
     */
    @Column(name = "sale_three_identity")
    private String saleThreeIdentity;

    /**
     * 销售员4身份证号
     */
    @Column(name = "sale_four_identity")
    private String saleFourIdentity;

    /**
     * 销售员1占比
     */
    @Column(name = "sale_one_ratio")
    private BigDecimal saleOneRatio;

    /**
     * 销售员2占比
     */
    @Column(name = "sale_two_ratio")
    private BigDecimal saleTwoRatio;

    /**
     * 销售员3占比
     */
    @Column(name = "sale_three_ratio")
    private BigDecimal saleThreeRatio;

    /**
     * 销售员4占比
     */
    @Column(name = "sale_four_ratio")
    private BigDecimal saleFourRatio;

    /**
     * 门店高管编码
     */
    @Column(name = "manage_staff_id")
    private Long manageStaffId;

    /**
     * 门店高管名称
     */
    @Column(name = "manage_staff_name")
    private String manageStaffName;

    /**
     * 门店高管身份证号
     */
    @Column(name = "manage_identity")
    private String manageIdentity;

    /**
     * 门店高管水牌号
     */
    @Column(name = "manage_number")
    private String manageNumber;

    /**
     * 销售员1业绩
     */
    @Column(name = "sale_one_achievement_amount")
    private BigDecimal saleOneAchievementAmount;

    /**
     * 销售员2业绩
     */
    @Column(name = "sale_two_achievement_amount")
    private BigDecimal saleTwoAchievementAmount;

    /**
     * 销售员3业绩
     */
    @Column(name = "sale_three_achievement_amount")
    private BigDecimal saleThreeAchievementAmount;

    /**
     * 销售员4业绩
     */
    @Column(name = "sale_four_achievement_amount")
    private BigDecimal saleFourAchievementAmount;

    /**
     * 销售员1提成
     */
    @Column(name = "sale_one_commission_amount")
    private BigDecimal saleOneCommissionAmount;

    /**
     * 销售员2提成
     */
    @Column(name = "sale_two_commission_amount")
    private BigDecimal saleTwoCommissionAmount;

    /**
     * 销售员3提成
     */
    @Column(name = "sale_three_commission_amount")
    private BigDecimal saleThreeCommissionAmount;

    /**
     * 销售员3提成
     */
    @Column(name = "sale_four_commission_amount")
    private BigDecimal saleFourCommissionAmount;

    /**
     * 录单人ID
     */
    @Column(name = "input_id")
    private Long inputId;

    /**
     * 录单人名称
     */
    @Column(name = "input_by")
    private String inputBy;

    /**
     * 录单时间
     */
    @Column(name = "input_date")
    private Date inputDate;

    /**
     * 作废人ID
     */
    @Column(name = "cancel_id")
    private Long cancelId;

    /**
     * 作废人名称
     */
    @Column(name = "cancel_by")
    private String cancelBy;

    /**
     * 作废时间
     */
    @Column(name = "cancel_date")
    private Date cancelDate;

    /**
     * 是否作废 1:作废/0:未作废
     */
    @Column(name = "is_cancel")
    private Integer isCancel;

    /**
     * 是否欠款 1:欠款/0:不欠款
     */
    @Column(name = "is_debt")
    private Integer isDebt;


    /**
     * 欠款金额
     */
    @Column(name = "debt_money")
    private BigDecimal debtMoney;


    /**
     * 描述
     */
    private String description;


    /**
     * 选择的项目序号数组
     */
    @Column(name = "promotion_type")
    private Integer promotionType;
    /**
     * 选择的项目序号数组
     */
    @Column(name = "project_count")
    private Integer projectCount;

    /**
     * 选择的项目序号数组
     */
    @Column(name = "project_total")
    private Integer projectTotal;

    /**
     * 选择的项目序号数组
     */
    @Column(name = "project_array")
    private String projectArray;


    /**
     * 随心选总价方式（0=固定价，1=选择项目金额和）
     */
    @Column(name = "money_type")
    private Integer moneyType;

    public Integer getMoneyType() {
        return moneyType;
    }

    public void setMoneyType(Integer moneyType) {
        this.moneyType = moneyType;
    }

    public Integer getPromotionType() {
        return promotionType;
    }

    public void setPromotionType(Integer promotionType) {
        this.promotionType = promotionType;
    }

    public Integer getProjectCount() {
        return projectCount;
    }

    public void setProjectCount(Integer projectCount) {
        this.projectCount = projectCount;
    }

    public Integer getProjectTotal() {
        return projectTotal;
    }

    public void setProjectTotal(Integer projectTotal) {
        this.projectTotal = projectTotal;
    }

    public String getProjectArray() {
        return projectArray;
    }

    public void setProjectArray(String projectArray) {
        this.projectArray = projectArray;
    }

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取门店ID
     *
     * @return store_id - 门店ID
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店ID
     *
     * @param storeId 门店ID
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取会员ID
     *
     * @return member_id - 会员ID
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员ID
     *
     * @param memberId 会员ID
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取会员手机号
     *
     * @return mobile_phone - 会员手机号
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置会员手机号
     *
     * @param mobilePhone 会员手机号
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取会员身份证号
     *
     * @return member_identity_card - 会员身份证号
     */
    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    /**
     * 设置会员身份证号
     *
     * @param memberIdentityCard 会员身份证号
     */
    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    /**
     * 获取会员卡
     *
     * @return card - 会员卡
     */
    public String getCard() {
        return card;
    }

    /**
     * 设置会员卡
     *
     * @param card 会员卡
     */
    public void setCard(String card) {
        this.card = card;
    }

    /**
     * 获取单据号
     *
     * @return doc_num - 单据号
     */
    public String getDocNum() {
        return docNum;
    }

    /**
     * 设置单据号
     *
     * @param docNum 单据号
     */
    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    /**
     * 获取单据时间
     *
     * @return doc_date - 单据时间
     */
    public Date getDocDate() {
        return docDate;
    }

    /**
     * 设置单据时间
     *
     * @param docDate 单据时间
     */
    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    /**
     * 获取促销活动ID
     *
     * @return promotion_id - 促销活动ID
     */
    public Long getPromotionId() {
        return promotionId;
    }

    /**
     * 设置促销活动ID
     *
     * @param promotionId 促销活动ID
     */
    public void setPromotionId(Long promotionId) {
        this.promotionId = promotionId;
    }

    /**
     * 获取促销方案编码
     *
     * @return promotion_num - 促销方案编码
     */
    public String getPromotionNum() {
        return promotionNum;
    }

    /**
     * 设置促销方案编码
     *
     * @param promotionNum 促销方案编码
     */
    public void setPromotionNum(String promotionNum) {
        this.promotionNum = promotionNum;
    }

    /**
     * 获取促销方案名称
     *
     * @return promotion_name - 促销方案名称
     */
    public String getPromotionName() {
        return promotionName;
    }

    /**
     * 设置促销方案名称
     *
     * @param promotionName 促销方案名称
     */
    public void setPromotionName(String promotionName) {
        this.promotionName = promotionName;
    }

    /**
     * 获取促销方案价格
     *
     * @return price - 促销方案价格
     */
    public BigDecimal getPrice() {
        return price;
    }

    /**
     * 设置促销方案价格
     *
     * @param price 促销方案价格
     */
    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    /**
     * 获取套数
     *
     * @return count - 套数
     */
    public Integer getCount() {
        return count;
    }

    /**
     * 设置套数
     *
     * @param count 套数
     */
    public void setCount(Integer count) {
        this.count = count;
    }

    /**
     * 获取销售金额
     *
     * @return amount - 销售金额
     */
    public BigDecimal getAmount() {
        return amount;
    }

    /**
     * 设置销售金额
     *
     * @param amount 销售金额
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    /**
     * 获取现付金额
     *
     * @return collection_cash_amount - 现付金额
     */
    public BigDecimal getCollectionCashAmount() {
        return collectionCashAmount;
    }

    /**
     * 设置现付金额
     *
     * @param collectionCashAmount 现付金额
     */
    public void setCollectionCashAmount(BigDecimal collectionCashAmount) {
        this.collectionCashAmount = collectionCashAmount;
    }

    /**
     * 获取充值卡付金额
     *
     * @return collection_recharge_amount - 充值卡付金额
     */
    public BigDecimal getCollectionRechargeAmount() {
        return collectionRechargeAmount;
    }

    /**
     * 设置充值卡付金额
     *
     * @param collectionRechargeAmount 充值卡付金额
     */
    public void setCollectionRechargeAmount(BigDecimal collectionRechargeAmount) {
        this.collectionRechargeAmount = collectionRechargeAmount;
    }

    /**
     * 获取现付销售提成，大于1表示固定提成，小于等于1表示比率提成 
     *
     * @return sales_commission - 现付销售提成，大于1表示固定提成，小于等于1表示比率提成 
     */
    public BigDecimal getSalesCommission() {
        return salesCommission;
    }

    /**
     * 设置现付销售提成，大于1表示固定提成，小于等于1表示比率提成 
     *
     * @param salesCommission 现付销售提成，大于1表示固定提成，小于等于1表示比率提成 
     */
    public void setSalesCommission(BigDecimal salesCommission) {
        this.salesCommission = salesCommission;
    }

    /**
     * 获取卡付销售提成，大于1表示固定提成，小于等于1表示比率提成
     *
     * @return card_sales_commission - 卡付销售提成，大于1表示固定提成，小于等于1表示比率提成
     */
    public BigDecimal getCardSalesCommission() {
        return cardSalesCommission;
    }

    /**
     * 设置卡付销售提成，大于1表示固定提成，小于等于1表示比率提成
     *
     * @param cardSalesCommission 卡付销售提成，大于1表示固定提成，小于等于1表示比率提成
     */
    public void setCardSalesCommission(BigDecimal cardSalesCommission) {
        this.cardSalesCommission = cardSalesCommission;
    }

    /**
     * 获取现付销售业绩
     *
     * @return achievement_amount - 现付销售业绩
     */
    public BigDecimal getAchievementAmount() {
        return achievementAmount;
    }

    /**
     * 设置现付销售业绩
     *
     * @param achievementAmount 现付销售业绩
     */
    public void setAchievementAmount(BigDecimal achievementAmount) {
        this.achievementAmount = achievementAmount;
    }

    /**
     * 获取现付销售提成
     *
     * @return commission_amount - 现付销售提成
     */
    public BigDecimal getCommissionAmount() {
        return commissionAmount;
    }

    /**
     * 设置现付销售提成
     *
     * @param commissionAmount 现付销售提成
     */
    public void setCommissionAmount(BigDecimal commissionAmount) {
        this.commissionAmount = commissionAmount;
    }

    /**
     * 获取卡付销售业绩
     *
     * @return card_achievement_amount - 卡付销售业绩
     */
    public BigDecimal getCardAchievementAmount() {
        return cardAchievementAmount;
    }

    /**
     * 设置卡付销售业绩
     *
     * @param cardAchievementAmount 卡付销售业绩
     */
    public void setCardAchievementAmount(BigDecimal cardAchievementAmount) {
        this.cardAchievementAmount = cardAchievementAmount;
    }

    /**
     * 获取卡付销售提成
     *
     * @return card_commission_amount - 卡付销售提成
     */
    public BigDecimal getCardCommissionAmount() {
        return cardCommissionAmount;
    }

    /**
     * 设置卡付销售提成
     *
     * @param cardCommissionAmount 卡付销售提成
     */
    public void setCardCommissionAmount(BigDecimal cardCommissionAmount) {
        this.cardCommissionAmount = cardCommissionAmount;
    }

    /**
     * 获取销售员1水牌号
     *
     * @return sale_one_number - 销售员1水牌号
     */
    public String getSaleOneNumber() {
        return saleOneNumber;
    }

    /**
     * 设置销售员1水牌号
     *
     * @param saleOneNumber 销售员1水牌号
     */
    public void setSaleOneNumber(String saleOneNumber) {
        this.saleOneNumber = saleOneNumber;
    }

    /**
     * 获取销售员2水牌号
     *
     * @return sale_two_number - 销售员2水牌号
     */
    public String getSaleTwoNumber() {
        return saleTwoNumber;
    }

    /**
     * 设置销售员2水牌号
     *
     * @param saleTwoNumber 销售员2水牌号
     */
    public void setSaleTwoNumber(String saleTwoNumber) {
        this.saleTwoNumber = saleTwoNumber;
    }

    /**
     * 获取销售员3水牌号
     *
     * @return sale_three_number - 销售员3水牌号
     */
    public String getSaleThreeNumber() {
        return saleThreeNumber;
    }

    /**
     * 设置销售员3水牌号
     *
     * @param saleThreeNumber 销售员3水牌号
     */
    public void setSaleThreeNumber(String saleThreeNumber) {
        this.saleThreeNumber = saleThreeNumber;
    }

    /**
     * 获取销售员4水牌号
     *
     * @return sale_four_number - 销售员4水牌号
     */
    public String getSaleFourNumber() {
        return saleFourNumber;
    }

    /**
     * 设置销售员4水牌号
     *
     * @param saleFourNumber 销售员4水牌号
     */
    public void setSaleFourNumber(String saleFourNumber) {
        this.saleFourNumber = saleFourNumber;
    }

    /**
     * 获取销售员1编码
     *
     * @return sale_one_staff_id - 销售员1编码
     */
    public Long getSaleOneStaffId() {
        return saleOneStaffId;
    }

    /**
     * 设置销售员1编码
     *
     * @param saleOneStaffId 销售员1编码
     */
    public void setSaleOneStaffId(Long saleOneStaffId) {
        this.saleOneStaffId = saleOneStaffId;
    }

    /**
     * 获取销售员2编码
     *
     * @return sale_two_staff_id - 销售员2编码
     */
    public Long getSaleTwoStaffId() {
        return saleTwoStaffId;
    }

    /**
     * 设置销售员2编码
     *
     * @param saleTwoStaffId 销售员2编码
     */
    public void setSaleTwoStaffId(Long saleTwoStaffId) {
        this.saleTwoStaffId = saleTwoStaffId;
    }

    /**
     * 获取销售员3编码
     *
     * @return sale_three_staff_id - 销售员3编码
     */
    public Long getSaleThreeStaffId() {
        return saleThreeStaffId;
    }

    /**
     * 设置销售员3编码
     *
     * @param saleThreeStaffId 销售员3编码
     */
    public void setSaleThreeStaffId(Long saleThreeStaffId) {
        this.saleThreeStaffId = saleThreeStaffId;
    }

    /**
     * 获取销售员4编码
     *
     * @return sale_four_staff_id - 销售员4编码
     */
    public Long getSaleFourStaffId() {
        return saleFourStaffId;
    }

    /**
     * 设置销售员4编码
     *
     * @param saleFourStaffId 销售员4编码
     */
    public void setSaleFourStaffId(Long saleFourStaffId) {
        this.saleFourStaffId = saleFourStaffId;
    }

    /**
     * 获取销售员1名称
     *
     * @return sale_one_staff_name - 销售员1名称
     */
    public String getSaleOneStaffName() {
        return saleOneStaffName;
    }

    /**
     * 设置销售员1名称
     *
     * @param saleOneStaffName 销售员1名称
     */
    public void setSaleOneStaffName(String saleOneStaffName) {
        this.saleOneStaffName = saleOneStaffName;
    }

    /**
     * 获取销售员2名称
     *
     * @return sale_two_staff_name - 销售员2名称
     */
    public String getSaleTwoStaffName() {
        return saleTwoStaffName;
    }

    /**
     * 设置销售员2名称
     *
     * @param saleTwoStaffName 销售员2名称
     */
    public void setSaleTwoStaffName(String saleTwoStaffName) {
        this.saleTwoStaffName = saleTwoStaffName;
    }

    /**
     * 获取销售员3名称
     *
     * @return sale_three_staff_name - 销售员3名称
     */
    public String getSaleThreeStaffName() {
        return saleThreeStaffName;
    }

    /**
     * 设置销售员3名称
     *
     * @param saleThreeStaffName 销售员3名称
     */
    public void setSaleThreeStaffName(String saleThreeStaffName) {
        this.saleThreeStaffName = saleThreeStaffName;
    }

    /**
     * 获取销售员4名称
     *
     * @return sale_four_staff_name - 销售员4名称
     */
    public String getSaleFourStaffName() {
        return saleFourStaffName;
    }

    /**
     * 设置销售员4名称
     *
     * @param saleFourStaffName 销售员4名称
     */
    public void setSaleFourStaffName(String saleFourStaffName) {
        this.saleFourStaffName = saleFourStaffName;
    }

    /**
     * 获取销售员1身份证号
     *
     * @return sale_one_identity - 销售员1身份证号
     */
    public String getSaleOneIdentity() {
        return saleOneIdentity;
    }

    /**
     * 设置销售员1身份证号
     *
     * @param saleOneIdentity 销售员1身份证号
     */
    public void setSaleOneIdentity(String saleOneIdentity) {
        this.saleOneIdentity = saleOneIdentity;
    }

    /**
     * 获取销售员2身份证号
     *
     * @return sale_two_identity - 销售员2身份证号
     */
    public String getSaleTwoIdentity() {
        return saleTwoIdentity;
    }

    /**
     * 设置销售员2身份证号
     *
     * @param saleTwoIdentity 销售员2身份证号
     */
    public void setSaleTwoIdentity(String saleTwoIdentity) {
        this.saleTwoIdentity = saleTwoIdentity;
    }

    /**
     * 获取销售员3身份证号
     *
     * @return sale_three_identity - 销售员3身份证号
     */
    public String getSaleThreeIdentity() {
        return saleThreeIdentity;
    }

    /**
     * 设置销售员3身份证号
     *
     * @param saleThreeIdentity 销售员3身份证号
     */
    public void setSaleThreeIdentity(String saleThreeIdentity) {
        this.saleThreeIdentity = saleThreeIdentity;
    }

    /**
     * 获取销售员4身份证号
     *
     * @return sale_four_identity - 销售员4身份证号
     */
    public String getSaleFourIdentity() {
        return saleFourIdentity;
    }

    /**
     * 设置销售员4身份证号
     *
     * @param saleFourIdentity 销售员4身份证号
     */
    public void setSaleFourIdentity(String saleFourIdentity) {
        this.saleFourIdentity = saleFourIdentity;
    }

    /**
     * 获取销售员1占比
     *
     * @return sale_one_ratio - 销售员1占比
     */
    public BigDecimal getSaleOneRatio() {
        return saleOneRatio;
    }

    /**
     * 设置销售员1占比
     *
     * @param saleOneRatio 销售员1占比
     */
    public void setSaleOneRatio(BigDecimal saleOneRatio) {
        this.saleOneRatio = saleOneRatio;
    }

    /**
     * 获取销售员2占比
     *
     * @return sale_two_ratio - 销售员2占比
     */
    public BigDecimal getSaleTwoRatio() {
        return saleTwoRatio;
    }

    /**
     * 设置销售员2占比
     *
     * @param saleTwoRatio 销售员2占比
     */
    public void setSaleTwoRatio(BigDecimal saleTwoRatio) {
        this.saleTwoRatio = saleTwoRatio;
    }

    /**
     * 获取销售员3占比
     *
     * @return sale_three_ratio - 销售员3占比
     */
    public BigDecimal getSaleThreeRatio() {
        return saleThreeRatio;
    }

    /**
     * 设置销售员3占比
     *
     * @param saleThreeRatio 销售员3占比
     */
    public void setSaleThreeRatio(BigDecimal saleThreeRatio) {
        this.saleThreeRatio = saleThreeRatio;
    }

    /**
     * 获取销售员4占比
     *
     * @return sale_four_ratio - 销售员4占比
     */
    public BigDecimal getSaleFourRatio() {
        return saleFourRatio;
    }

    /**
     * 设置销售员4占比
     *
     * @param saleFourRatio 销售员4占比
     */
    public void setSaleFourRatio(BigDecimal saleFourRatio) {
        this.saleFourRatio = saleFourRatio;
    }

    /**
     * 获取门店高管编码
     *
     * @return manage_staff_id - 门店高管编码
     */
    public Long getManageStaffId() {
        return manageStaffId;
    }

    /**
     * 设置门店高管编码
     *
     * @param manageStaffId 门店高管编码
     */
    public void setManageStaffId(Long manageStaffId) {
        this.manageStaffId = manageStaffId;
    }

    /**
     * 获取门店高管名称
     *
     * @return manage_staff_name - 门店高管名称
     */
    public String getManageStaffName() {
        return manageStaffName;
    }

    /**
     * 设置门店高管名称
     *
     * @param manageStaffName 门店高管名称
     */
    public void setManageStaffName(String manageStaffName) {
        this.manageStaffName = manageStaffName;
    }

    /**
     * 获取门店高管身份证号
     *
     * @return manage_identity - 门店高管身份证号
     */
    public String getManageIdentity() {
        return manageIdentity;
    }

    /**
     * 设置门店高管身份证号
     *
     * @param manageIdentity 门店高管身份证号
     */
    public void setManageIdentity(String manageIdentity) {
        this.manageIdentity = manageIdentity;
    }

    /**
     * 获取门店高管水牌号
     *
     * @return manage_number - 门店高管水牌号
     */
    public String getManageNumber() {
        return manageNumber;
    }

    /**
     * 设置门店高管水牌号
     *
     * @param manageNumber 门店高管水牌号
     */
    public void setManageNumber(String manageNumber) {
        this.manageNumber = manageNumber;
    }

    /**
     * 获取销售员1业绩
     *
     * @return sale_one_achievement_amount - 销售员1业绩
     */
    public BigDecimal getSaleOneAchievementAmount() {
        return saleOneAchievementAmount;
    }

    /**
     * 设置销售员1业绩
     *
     * @param saleOneAchievementAmount 销售员1业绩
     */
    public void setSaleOneAchievementAmount(BigDecimal saleOneAchievementAmount) {
        this.saleOneAchievementAmount = saleOneAchievementAmount;
    }

    /**
     * 获取销售员2业绩
     *
     * @return sale_two_achievement_amount - 销售员2业绩
     */
    public BigDecimal getSaleTwoAchievementAmount() {
        return saleTwoAchievementAmount;
    }

    /**
     * 设置销售员2业绩
     *
     * @param saleTwoAchievementAmount 销售员2业绩
     */
    public void setSaleTwoAchievementAmount(BigDecimal saleTwoAchievementAmount) {
        this.saleTwoAchievementAmount = saleTwoAchievementAmount;
    }

    /**
     * 获取销售员3业绩
     *
     * @return sale_three_achievement_amount - 销售员3业绩
     */
    public BigDecimal getSaleThreeAchievementAmount() {
        return saleThreeAchievementAmount;
    }

    /**
     * 设置销售员3业绩
     *
     * @param saleThreeAchievementAmount 销售员3业绩
     */
    public void setSaleThreeAchievementAmount(BigDecimal saleThreeAchievementAmount) {
        this.saleThreeAchievementAmount = saleThreeAchievementAmount;
    }

    /**
     * 获取销售员4业绩
     *
     * @return sale_four_achievement_amount - 销售员4业绩
     */
    public BigDecimal getSaleFourAchievementAmount() {
        return saleFourAchievementAmount;
    }

    /**
     * 设置销售员4业绩
     *
     * @param saleFourAchievementAmount 销售员4业绩
     */
    public void setSaleFourAchievementAmount(BigDecimal saleFourAchievementAmount) {
        this.saleFourAchievementAmount = saleFourAchievementAmount;
    }

    /**
     * 获取销售员1提成
     *
     * @return sale_one_commission_amount - 销售员1提成
     */
    public BigDecimal getSaleOneCommissionAmount() {
        return saleOneCommissionAmount;
    }

    /**
     * 设置销售员1提成
     *
     * @param saleOneCommissionAmount 销售员1提成
     */
    public void setSaleOneCommissionAmount(BigDecimal saleOneCommissionAmount) {
        this.saleOneCommissionAmount = saleOneCommissionAmount;
    }

    /**
     * 获取销售员2提成
     *
     * @return sale_two_commission_amount - 销售员2提成
     */
    public BigDecimal getSaleTwoCommissionAmount() {
        return saleTwoCommissionAmount;
    }

    /**
     * 设置销售员2提成
     *
     * @param saleTwoCommissionAmount 销售员2提成
     */
    public void setSaleTwoCommissionAmount(BigDecimal saleTwoCommissionAmount) {
        this.saleTwoCommissionAmount = saleTwoCommissionAmount;
    }

    /**
     * 获取销售员3提成
     *
     * @return sale_three_commission_amount - 销售员3提成
     */
    public BigDecimal getSaleThreeCommissionAmount() {
        return saleThreeCommissionAmount;
    }

    /**
     * 设置销售员3提成
     *
     * @param saleThreeCommissionAmount 销售员3提成
     */
    public void setSaleThreeCommissionAmount(BigDecimal saleThreeCommissionAmount) {
        this.saleThreeCommissionAmount = saleThreeCommissionAmount;
    }

    /**
     * 获取销售员3提成
     *
     * @return sale_four_commission_amount - 销售员3提成
     */
    public BigDecimal getSaleFourCommissionAmount() {
        return saleFourCommissionAmount;
    }

    /**
     * 设置销售员3提成
     *
     * @param saleFourCommissionAmount 销售员3提成
     */
    public void setSaleFourCommissionAmount(BigDecimal saleFourCommissionAmount) {
        this.saleFourCommissionAmount = saleFourCommissionAmount;
    }

    /**
     * 获取录单人ID
     *
     * @return input_id - 录单人ID
     */
    public Long getInputId() {
        return inputId;
    }

    /**
     * 设置录单人ID
     *
     * @param inputId 录单人ID
     */
    public void setInputId(Long inputId) {
        this.inputId = inputId;
    }

    /**
     * 获取录单人名称
     *
     * @return input_by - 录单人名称
     */
    public String getInputBy() {
        return inputBy;
    }

    /**
     * 设置录单人名称
     *
     * @param inputBy 录单人名称
     */
    public void setInputBy(String inputBy) {
        this.inputBy = inputBy;
    }

    /**
     * 获取录单时间
     *
     * @return input_date - 录单时间
     */
    public Date getInputDate() {
        return inputDate;
    }

    /**
     * 设置录单时间
     *
     * @param inputDate 录单时间
     */
    public void setInputDate(Date inputDate) {
        this.inputDate = inputDate;
    }

    /**
     * 获取作废人ID
     *
     * @return cancel_id - 作废人ID
     */
    public Long getCancelId() {
        return cancelId;
    }

    /**
     * 设置作废人ID
     *
     * @param cancelId 作废人ID
     */
    public void setCancelId(Long cancelId) {
        this.cancelId = cancelId;
    }

    /**
     * 获取作废人名称
     *
     * @return cancel_by - 作废人名称
     */
    public String getCancelBy() {
        return cancelBy;
    }

    /**
     * 设置作废人名称
     *
     * @param cancelBy 作废人名称
     */
    public void setCancelBy(String cancelBy) {
        this.cancelBy = cancelBy;
    }

    /**
     * 获取作废时间
     *
     * @return cancel_date - 作废时间
     */
    public Date getCancelDate() {
        return cancelDate;
    }

    /**
     * 设置作废时间
     *
     * @param cancelDate 作废时间
     */
    public void setCancelDate(Date cancelDate) {
        this.cancelDate = cancelDate;
    }

    /**
     * 获取是否作废 1:作废/0:未作废
     *
     * @return is_cancel - 是否作废 1:作废/0:未作废
     */
    public Integer getIsCancel() {
        return isCancel;
    }

    /**
     * 设置是否作废 1:作废/0:未作废
     *
     * @param isCancel 是否作废 1:作废/0:未作废
     */
    public void setIsCancel(Integer isCancel) {
        this.isCancel = isCancel;
    }

    /**
     * 获取描述
     *
     * @return description - 描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置描述
     *
     * @param description 描述
     */
    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getIsDebt() {
        return isDebt;
    }

    public void setIsDebt(Integer isDebt) {
        this.isDebt = isDebt;
    }

    public BigDecimal getDebtMoney() {
        return debtMoney;
    }

    public void setDebtMoney(BigDecimal debtMoney) {
        this.debtMoney = debtMoney;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DocPromotion other = (DocPromotion) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
            && (this.getMobilePhone() == null ? other.getMobilePhone() == null : this.getMobilePhone().equals(other.getMobilePhone()))
            && (this.getMemberIdentityCard() == null ? other.getMemberIdentityCard() == null : this.getMemberIdentityCard().equals(other.getMemberIdentityCard()))
            && (this.getCard() == null ? other.getCard() == null : this.getCard().equals(other.getCard()))
            && (this.getDocNum() == null ? other.getDocNum() == null : this.getDocNum().equals(other.getDocNum()))
            && (this.getDocDate() == null ? other.getDocDate() == null : this.getDocDate().equals(other.getDocDate()))
            && (this.getPromotionId() == null ? other.getPromotionId() == null : this.getPromotionId().equals(other.getPromotionId()))
            && (this.getPromotionNum() == null ? other.getPromotionNum() == null : this.getPromotionNum().equals(other.getPromotionNum()))
            && (this.getPromotionName() == null ? other.getPromotionName() == null : this.getPromotionName().equals(other.getPromotionName()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getCount() == null ? other.getCount() == null : this.getCount().equals(other.getCount()))
            && (this.getAmount() == null ? other.getAmount() == null : this.getAmount().equals(other.getAmount()))
            && (this.getCollectionCashAmount() == null ? other.getCollectionCashAmount() == null : this.getCollectionCashAmount().equals(other.getCollectionCashAmount()))
            && (this.getCollectionRechargeAmount() == null ? other.getCollectionRechargeAmount() == null : this.getCollectionRechargeAmount().equals(other.getCollectionRechargeAmount()))
            && (this.getSalesCommission() == null ? other.getSalesCommission() == null : this.getSalesCommission().equals(other.getSalesCommission()))
            && (this.getCardSalesCommission() == null ? other.getCardSalesCommission() == null : this.getCardSalesCommission().equals(other.getCardSalesCommission()))
            && (this.getAchievementAmount() == null ? other.getAchievementAmount() == null : this.getAchievementAmount().equals(other.getAchievementAmount()))
            && (this.getCommissionAmount() == null ? other.getCommissionAmount() == null : this.getCommissionAmount().equals(other.getCommissionAmount()))
            && (this.getCardAchievementAmount() == null ? other.getCardAchievementAmount() == null : this.getCardAchievementAmount().equals(other.getCardAchievementAmount()))
            && (this.getCardCommissionAmount() == null ? other.getCardCommissionAmount() == null : this.getCardCommissionAmount().equals(other.getCardCommissionAmount()))
            && (this.getSaleOneNumber() == null ? other.getSaleOneNumber() == null : this.getSaleOneNumber().equals(other.getSaleOneNumber()))
            && (this.getSaleTwoNumber() == null ? other.getSaleTwoNumber() == null : this.getSaleTwoNumber().equals(other.getSaleTwoNumber()))
            && (this.getSaleThreeNumber() == null ? other.getSaleThreeNumber() == null : this.getSaleThreeNumber().equals(other.getSaleThreeNumber()))
            && (this.getSaleFourNumber() == null ? other.getSaleFourNumber() == null : this.getSaleFourNumber().equals(other.getSaleFourNumber()))
            && (this.getSaleOneStaffId() == null ? other.getSaleOneStaffId() == null : this.getSaleOneStaffId().equals(other.getSaleOneStaffId()))
            && (this.getSaleTwoStaffId() == null ? other.getSaleTwoStaffId() == null : this.getSaleTwoStaffId().equals(other.getSaleTwoStaffId()))
            && (this.getSaleThreeStaffId() == null ? other.getSaleThreeStaffId() == null : this.getSaleThreeStaffId().equals(other.getSaleThreeStaffId()))
            && (this.getSaleFourStaffId() == null ? other.getSaleFourStaffId() == null : this.getSaleFourStaffId().equals(other.getSaleFourStaffId()))
            && (this.getSaleOneStaffName() == null ? other.getSaleOneStaffName() == null : this.getSaleOneStaffName().equals(other.getSaleOneStaffName()))
            && (this.getSaleTwoStaffName() == null ? other.getSaleTwoStaffName() == null : this.getSaleTwoStaffName().equals(other.getSaleTwoStaffName()))
            && (this.getSaleThreeStaffName() == null ? other.getSaleThreeStaffName() == null : this.getSaleThreeStaffName().equals(other.getSaleThreeStaffName()))
            && (this.getSaleFourStaffName() == null ? other.getSaleFourStaffName() == null : this.getSaleFourStaffName().equals(other.getSaleFourStaffName()))
            && (this.getSaleOneIdentity() == null ? other.getSaleOneIdentity() == null : this.getSaleOneIdentity().equals(other.getSaleOneIdentity()))
            && (this.getSaleTwoIdentity() == null ? other.getSaleTwoIdentity() == null : this.getSaleTwoIdentity().equals(other.getSaleTwoIdentity()))
            && (this.getSaleThreeIdentity() == null ? other.getSaleThreeIdentity() == null : this.getSaleThreeIdentity().equals(other.getSaleThreeIdentity()))
            && (this.getSaleFourIdentity() == null ? other.getSaleFourIdentity() == null : this.getSaleFourIdentity().equals(other.getSaleFourIdentity()))
            && (this.getSaleOneRatio() == null ? other.getSaleOneRatio() == null : this.getSaleOneRatio().equals(other.getSaleOneRatio()))
            && (this.getSaleTwoRatio() == null ? other.getSaleTwoRatio() == null : this.getSaleTwoRatio().equals(other.getSaleTwoRatio()))
            && (this.getSaleThreeRatio() == null ? other.getSaleThreeRatio() == null : this.getSaleThreeRatio().equals(other.getSaleThreeRatio()))
            && (this.getSaleFourRatio() == null ? other.getSaleFourRatio() == null : this.getSaleFourRatio().equals(other.getSaleFourRatio()))
            && (this.getManageStaffId() == null ? other.getManageStaffId() == null : this.getManageStaffId().equals(other.getManageStaffId()))
            && (this.getManageStaffName() == null ? other.getManageStaffName() == null : this.getManageStaffName().equals(other.getManageStaffName()))
            && (this.getManageIdentity() == null ? other.getManageIdentity() == null : this.getManageIdentity().equals(other.getManageIdentity()))
            && (this.getManageNumber() == null ? other.getManageNumber() == null : this.getManageNumber().equals(other.getManageNumber()))
            && (this.getSaleOneAchievementAmount() == null ? other.getSaleOneAchievementAmount() == null : this.getSaleOneAchievementAmount().equals(other.getSaleOneAchievementAmount()))
            && (this.getSaleTwoAchievementAmount() == null ? other.getSaleTwoAchievementAmount() == null : this.getSaleTwoAchievementAmount().equals(other.getSaleTwoAchievementAmount()))
            && (this.getSaleThreeAchievementAmount() == null ? other.getSaleThreeAchievementAmount() == null : this.getSaleThreeAchievementAmount().equals(other.getSaleThreeAchievementAmount()))
            && (this.getSaleFourAchievementAmount() == null ? other.getSaleFourAchievementAmount() == null : this.getSaleFourAchievementAmount().equals(other.getSaleFourAchievementAmount()))
            && (this.getSaleOneCommissionAmount() == null ? other.getSaleOneCommissionAmount() == null : this.getSaleOneCommissionAmount().equals(other.getSaleOneCommissionAmount()))
            && (this.getSaleTwoCommissionAmount() == null ? other.getSaleTwoCommissionAmount() == null : this.getSaleTwoCommissionAmount().equals(other.getSaleTwoCommissionAmount()))
            && (this.getSaleThreeCommissionAmount() == null ? other.getSaleThreeCommissionAmount() == null : this.getSaleThreeCommissionAmount().equals(other.getSaleThreeCommissionAmount()))
            && (this.getSaleFourCommissionAmount() == null ? other.getSaleFourCommissionAmount() == null : this.getSaleFourCommissionAmount().equals(other.getSaleFourCommissionAmount()))
            && (this.getInputId() == null ? other.getInputId() == null : this.getInputId().equals(other.getInputId()))
            && (this.getInputBy() == null ? other.getInputBy() == null : this.getInputBy().equals(other.getInputBy()))
            && (this.getInputDate() == null ? other.getInputDate() == null : this.getInputDate().equals(other.getInputDate()))
            && (this.getCancelId() == null ? other.getCancelId() == null : this.getCancelId().equals(other.getCancelId()))
            && (this.getCancelBy() == null ? other.getCancelBy() == null : this.getCancelBy().equals(other.getCancelBy()))
            && (this.getCancelDate() == null ? other.getCancelDate() == null : this.getCancelDate().equals(other.getCancelDate()))
            && (this.getIsCancel() == null ? other.getIsCancel() == null : this.getIsCancel().equals(other.getIsCancel()))
            && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
            && (this.getDebtMoney() == null ? other.getDebtMoney() == null : this.getDebtMoney().equals(other.getDebtMoney()))
            && (this.getIsDebt() == null ? other.getIsDebt() == null : this.getIsDebt().equals(other.getIsDebt()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMobilePhone() == null) ? 0 : getMobilePhone().hashCode());
        result = prime * result + ((getMemberIdentityCard() == null) ? 0 : getMemberIdentityCard().hashCode());
        result = prime * result + ((getCard() == null) ? 0 : getCard().hashCode());
        result = prime * result + ((getDocNum() == null) ? 0 : getDocNum().hashCode());
        result = prime * result + ((getDocDate() == null) ? 0 : getDocDate().hashCode());
        result = prime * result + ((getPromotionId() == null) ? 0 : getPromotionId().hashCode());
        result = prime * result + ((getPromotionNum() == null) ? 0 : getPromotionNum().hashCode());
        result = prime * result + ((getPromotionName() == null) ? 0 : getPromotionName().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getCount() == null) ? 0 : getCount().hashCode());
        result = prime * result + ((getAmount() == null) ? 0 : getAmount().hashCode());
        result = prime * result + ((getCollectionCashAmount() == null) ? 0 : getCollectionCashAmount().hashCode());
        result = prime * result + ((getCollectionRechargeAmount() == null) ? 0 : getCollectionRechargeAmount().hashCode());
        result = prime * result + ((getSalesCommission() == null) ? 0 : getSalesCommission().hashCode());
        result = prime * result + ((getCardSalesCommission() == null) ? 0 : getCardSalesCommission().hashCode());
        result = prime * result + ((getAchievementAmount() == null) ? 0 : getAchievementAmount().hashCode());
        result = prime * result + ((getCommissionAmount() == null) ? 0 : getCommissionAmount().hashCode());
        result = prime * result + ((getCardAchievementAmount() == null) ? 0 : getCardAchievementAmount().hashCode());
        result = prime * result + ((getCardCommissionAmount() == null) ? 0 : getCardCommissionAmount().hashCode());
        result = prime * result + ((getSaleOneNumber() == null) ? 0 : getSaleOneNumber().hashCode());
        result = prime * result + ((getSaleTwoNumber() == null) ? 0 : getSaleTwoNumber().hashCode());
        result = prime * result + ((getSaleThreeNumber() == null) ? 0 : getSaleThreeNumber().hashCode());
        result = prime * result + ((getSaleFourNumber() == null) ? 0 : getSaleFourNumber().hashCode());
        result = prime * result + ((getSaleOneStaffId() == null) ? 0 : getSaleOneStaffId().hashCode());
        result = prime * result + ((getSaleTwoStaffId() == null) ? 0 : getSaleTwoStaffId().hashCode());
        result = prime * result + ((getSaleThreeStaffId() == null) ? 0 : getSaleThreeStaffId().hashCode());
        result = prime * result + ((getSaleFourStaffId() == null) ? 0 : getSaleFourStaffId().hashCode());
        result = prime * result + ((getSaleOneStaffName() == null) ? 0 : getSaleOneStaffName().hashCode());
        result = prime * result + ((getSaleTwoStaffName() == null) ? 0 : getSaleTwoStaffName().hashCode());
        result = prime * result + ((getSaleThreeStaffName() == null) ? 0 : getSaleThreeStaffName().hashCode());
        result = prime * result + ((getSaleFourStaffName() == null) ? 0 : getSaleFourStaffName().hashCode());
        result = prime * result + ((getSaleOneIdentity() == null) ? 0 : getSaleOneIdentity().hashCode());
        result = prime * result + ((getSaleTwoIdentity() == null) ? 0 : getSaleTwoIdentity().hashCode());
        result = prime * result + ((getSaleThreeIdentity() == null) ? 0 : getSaleThreeIdentity().hashCode());
        result = prime * result + ((getSaleFourIdentity() == null) ? 0 : getSaleFourIdentity().hashCode());
        result = prime * result + ((getSaleOneRatio() == null) ? 0 : getSaleOneRatio().hashCode());
        result = prime * result + ((getSaleTwoRatio() == null) ? 0 : getSaleTwoRatio().hashCode());
        result = prime * result + ((getSaleThreeRatio() == null) ? 0 : getSaleThreeRatio().hashCode());
        result = prime * result + ((getSaleFourRatio() == null) ? 0 : getSaleFourRatio().hashCode());
        result = prime * result + ((getManageStaffId() == null) ? 0 : getManageStaffId().hashCode());
        result = prime * result + ((getManageStaffName() == null) ? 0 : getManageStaffName().hashCode());
        result = prime * result + ((getManageIdentity() == null) ? 0 : getManageIdentity().hashCode());
        result = prime * result + ((getManageNumber() == null) ? 0 : getManageNumber().hashCode());
        result = prime * result + ((getSaleOneAchievementAmount() == null) ? 0 : getSaleOneAchievementAmount().hashCode());
        result = prime * result + ((getSaleTwoAchievementAmount() == null) ? 0 : getSaleTwoAchievementAmount().hashCode());
        result = prime * result + ((getSaleThreeAchievementAmount() == null) ? 0 : getSaleThreeAchievementAmount().hashCode());
        result = prime * result + ((getSaleFourAchievementAmount() == null) ? 0 : getSaleFourAchievementAmount().hashCode());
        result = prime * result + ((getSaleOneCommissionAmount() == null) ? 0 : getSaleOneCommissionAmount().hashCode());
        result = prime * result + ((getSaleTwoCommissionAmount() == null) ? 0 : getSaleTwoCommissionAmount().hashCode());
        result = prime * result + ((getSaleThreeCommissionAmount() == null) ? 0 : getSaleThreeCommissionAmount().hashCode());
        result = prime * result + ((getSaleFourCommissionAmount() == null) ? 0 : getSaleFourCommissionAmount().hashCode());
        result = prime * result + ((getInputId() == null) ? 0 : getInputId().hashCode());
        result = prime * result + ((getInputBy() == null) ? 0 : getInputBy().hashCode());
        result = prime * result + ((getInputDate() == null) ? 0 : getInputDate().hashCode());
        result = prime * result + ((getCancelId() == null) ? 0 : getCancelId().hashCode());
        result = prime * result + ((getCancelBy() == null) ? 0 : getCancelBy().hashCode());
        result = prime * result + ((getCancelDate() == null) ? 0 : getCancelDate().hashCode());
        result = prime * result + ((getIsCancel() == null) ? 0 : getIsCancel().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getDebtMoney() == null) ? 0 : getDebtMoney().hashCode());
        result = prime * result + ((getIsDebt() == null) ? 0 : getIsDebt().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", mobilePhone=").append(mobilePhone);
        sb.append(", memberIdentityCard=").append(memberIdentityCard);
        sb.append(", card=").append(card);
        sb.append(", docNum=").append(docNum);
        sb.append(", docDate=").append(docDate);
        sb.append(", promotionId=").append(promotionId);
        sb.append(", promotionNum=").append(promotionNum);
        sb.append(", promotionName=").append(promotionName);
        sb.append(", price=").append(price);
        sb.append(", count=").append(count);
        sb.append(", amount=").append(amount);
        sb.append(", collectionCashAmount=").append(collectionCashAmount);
        sb.append(", collectionRechargeAmount=").append(collectionRechargeAmount);
        sb.append(", salesCommission=").append(salesCommission);
        sb.append(", cardSalesCommission=").append(cardSalesCommission);
        sb.append(", achievementAmount=").append(achievementAmount);
        sb.append(", commissionAmount=").append(commissionAmount);
        sb.append(", cardAchievementAmount=").append(cardAchievementAmount);
        sb.append(", cardCommissionAmount=").append(cardCommissionAmount);
        sb.append(", saleOneNumber=").append(saleOneNumber);
        sb.append(", saleTwoNumber=").append(saleTwoNumber);
        sb.append(", saleThreeNumber=").append(saleThreeNumber);
        sb.append(", saleFourNumber=").append(saleFourNumber);
        sb.append(", saleOneStaffId=").append(saleOneStaffId);
        sb.append(", saleTwoStaffId=").append(saleTwoStaffId);
        sb.append(", saleThreeStaffId=").append(saleThreeStaffId);
        sb.append(", saleFourStaffId=").append(saleFourStaffId);
        sb.append(", saleOneStaffName=").append(saleOneStaffName);
        sb.append(", saleTwoStaffName=").append(saleTwoStaffName);
        sb.append(", saleThreeStaffName=").append(saleThreeStaffName);
        sb.append(", saleFourStaffName=").append(saleFourStaffName);
        sb.append(", saleOneIdentity=").append(saleOneIdentity);
        sb.append(", saleTwoIdentity=").append(saleTwoIdentity);
        sb.append(", saleThreeIdentity=").append(saleThreeIdentity);
        sb.append(", saleFourIdentity=").append(saleFourIdentity);
        sb.append(", saleOneRatio=").append(saleOneRatio);
        sb.append(", saleTwoRatio=").append(saleTwoRatio);
        sb.append(", saleThreeRatio=").append(saleThreeRatio);
        sb.append(", saleFourRatio=").append(saleFourRatio);
        sb.append(", manageStaffId=").append(manageStaffId);
        sb.append(", manageStaffName=").append(manageStaffName);
        sb.append(", manageIdentity=").append(manageIdentity);
        sb.append(", manageNumber=").append(manageNumber);
        sb.append(", saleOneAchievementAmount=").append(saleOneAchievementAmount);
        sb.append(", saleTwoAchievementAmount=").append(saleTwoAchievementAmount);
        sb.append(", saleThreeAchievementAmount=").append(saleThreeAchievementAmount);
        sb.append(", saleFourAchievementAmount=").append(saleFourAchievementAmount);
        sb.append(", saleOneCommissionAmount=").append(saleOneCommissionAmount);
        sb.append(", saleTwoCommissionAmount=").append(saleTwoCommissionAmount);
        sb.append(", saleThreeCommissionAmount=").append(saleThreeCommissionAmount);
        sb.append(", saleFourCommissionAmount=").append(saleFourCommissionAmount);
        sb.append(", inputId=").append(inputId);
        sb.append(", inputBy=").append(inputBy);
        sb.append(", inputDate=").append(inputDate);
        sb.append(", cancelId=").append(cancelId);
        sb.append(", cancelBy=").append(cancelBy);
        sb.append(", cancelDate=").append(cancelDate);
        sb.append(", isCancel=").append(isCancel);
        sb.append(", description=").append(description);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append(", debtMoney=").append(debtMoney);
        sb.append(", isDebt=").append(isDebt);
        sb.append("]");
        return sb.toString();
    }
}